Redmine - Feature #26576

Use tabs to switch between file changes and diff of a commit

2017-07-30 03:01 - Go MAEDA

Status: Closed
Category: SCM
% Done:
Resolution: Fixed

0%
0.00 hour

Description
before:

Revision 11
Added by schmidt [06/20/2010 06:13 PM] about 7 years ago
adding test data for #5548

Related issues

Files
View differences

subversion_test
[folder_with_brackets]
© README.txt

after:

Revision 11
Added by schmidt [06/20/2010 06:13 PM] about 7 years ago

adding test data for #5548

Related issues

Changes | View differences

subversion_test
[folder_with_brackets]
© README.txt

Related issues:
Related to Redmine - Feature #8254: Add previous/next functionality in diffs

Related to Redmine - Defect #29730: Previous/Next link on repository page dis...

Related to Redmine - Patch #11022: Link from diff to revision
Has duplicate Redmine - Feature #9807: Add link in diff view to point to revi...

Closed
Closed
Closed
Closed

2011-04-30

Associated revisions

Revision 16911 - 2017-07-29 14:10 - Jean-Philippe Lang

Use tabs to switch between file changes and diff of a commit.

Revision 17605 - 2018-10-28 12:59 - Go MAEDA

2025-05-17

1/2




Previous/Next link on repository page disappears when switching to "View differences" tab (#26576, #29730).

Patch by Mizuki ISHIKAWA.

Revision 17606 - 2018-10-29 01:18 - Go MAEDA
Reverted r17605 that breaks some tests (#26576, #29730).

Revision 17620 - 2018-11-05 03:40 - Go MAEDA
Previous/Next link on repository page disappears when switching to "View differences" tab (#26576, #29730).

Patch by Mizuki ISHIKAWA.

History

#1 - 2017-07-30 03:02 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

Impelemented in r16911.

#2 - 2017-07-30 07:11 - Go MAEDA
- Related to Feature #8254: Add previous/next functionality in diffs added

#3 - 2018-06-16 16:35 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Fixed

#4 - 2018-09-13 10:41 - Go MAEDA
- Has duplicate Feature #9807: Add link in diff view to point to revision added

#5 - 2018-10-04 17:46 - Go MAEDA

- Related to Defect #29730: Previous/Next link on repository page disappear when switching to "View differences" tab added

#6 - 2021-06-06 15:23 - Go MAEDA
- Related to Patch #11022: Link from diff to revision added
